
Katello - Feature #5503

Available UI interactions should reflect a user's permissions

04/29/2014 09:54 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102315 Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Katello - Feature #5217: As a user, I should have CRUD permissions... Closed 04/16/2014

Has duplicate Katello - Feature #4351: Global user permissions need to be del... Duplicate 02/14/2014

Has duplicate Katello - Bug #4914: Red Hat Repositories and Products should b... Duplicate 03/27/2014 04/30/2014

Blocked by Katello - Bug #6242: 500 on GET of a subscription if not admin Closed 06/16/2014

Associated revisions

Revision e6725f13 - 06/18/2014 11:55 AM - Walden Raines

Fixes #5503/BZ1102315 - restrict UI interactions to actual permissions.

Revision d9bb41b4 - 06/18/2014 03:19 PM - Walden Raines

Merge pull request #4226 from waldenraines/5503

Fixes #5503/BZ1102315 - restrict UI interactions to actual permissions in Bastion.

Revision 83328836 - 06/18/2014 03:55 PM - Walden Raines

Fixes #5503/BZ1102315 - restrict UI interactions to actual permissions.

Revision f4129016 - 06/18/2014 07:19 PM - Walden Raines

Merge pull request #4226 from waldenraines/5503

Fixes #5503/BZ1102315 - restrict UI interactions to actual permissions in Bastion.

History

#1 - 05/28/2014 03:01 PM - Walden Raines

- Related to Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 05/28/2014 06:10 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Walden Raines

- Target version changed from 44 to 45

- Triaged changed from No to Yes

#3 - 05/28/2014 06:10 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102315

#4 - 05/28/2014 07:06 PM - Walden Raines

- Subject changed from As a readonly user, I should not be able to edit any entity through the API or UI. to Available UI interactions should reflect a
user's permissions

#5 - 05/29/2014 04:13 PM - Walden Raines

- Has duplicate Feature #4351: Global user permissions need to be delivered to angular pages added

#6 - 05/29/2014 04:26 PM - Walden Raines

- Has duplicate deleted (Feature #4351: Global user permissions need to be delivered to angular pages)

#7 - 05/29/2014 04:26 PM - Walden Raines

- Related to Feature #4351: Global user permissions need to be delivered to angular pages added

#8 - 06/03/2014 02:44 PM - Eric Helms

- Related to Bug #4914: Red Hat Repositories and Products should be read-only added

#9 - 06/06/2014 07:08 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4226

#10 - 06/06/2014 08:37 PM - Walden Raines

- Related to deleted (Feature #4351: Global user permissions need to be delivered to angular pages)

#11 - 06/06/2014 08:37 PM - Walden Raines

- Has duplicate Feature #4351: Global user permissions need to be delivered to angular pages added

#12 - 06/13/2014 04:05 PM - Walden Raines

- Subject changed from Available UI interactions should reflect a user's permissions to Available Bastion UI interactions should reflect a user's

permissions

#13 - 06/13/2014 04:47 PM - Walden Raines

- Subject changed from Available Bastion UI interactions should reflect a user's permissions to Available UI interactions should reflect a user's

permissions

#14 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#15 - 06/16/2014 03:37 PM - Walden Raines

- Related to deleted (Bug #4914: Red Hat Repositories and Products should be read-only)

#16 - 06/16/2014 03:37 PM - Walden Raines

- Has duplicate Bug #4914: Red Hat Repositories and Products should be read-only added

#17 - 06/16/2014 07:15 PM - Walden Raines

- Blocked by Bug #6242: 500 on GET of a subscription if not admin added

#18 - 06/18/2014 07:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:83328836519a9ae1068ccf27b9a481f2457384c7.

#19 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
